CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM Installation (
-   -   OpenFoam 2.1.1 x64 on Fedora 17 (

abCFD January 14, 2013 17:04

OpenFoam 2.1.1 x64 on Fedora 17
Hi everybody,

I'm trying to install OpenFoam on my new Fedora 17. I'm not really into the Linux environment, but even following the step-by-step instruction on I didn't succeed.

When I copy on the terminal the command:


sudo rpm -i
I get the following:


error: Failed dependencies:
        /bin/csh is needed by OpenFOAM-2.1.1-1.x86_64

did someone experienced the same? :confused:
is there any other documentation that I should read about installation?


l_r_mcglashan January 14, 2013 17:13


yum install tcsh
will resolve the dependency if you are willing to live with the c shell being installed.

abCFD January 14, 2013 17:29

It works :-)

thank you very much!

All times are GMT -4. The time now is 18:04.